Skip to main content
POST
/
snapshots
/
{snapshotId}
/
restore
Restore snapshot
curl --request POST \
  --url https://your-domain.com/api/client/v1/snapshots/{snapshotId}/restore \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "truncate_directory": true
}
'
{
  "ok": true,
  "restored": true,
  "snapshot_id": "<string>",
  "snapshot_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

snapshotId
string
required

Snapshot record ID.

Body

application/json
target_server_id
string<uuid>
required
truncate_directory
boolean
default:true

Response

Snapshot restored

ok
boolean
restored
boolean
snapshot_id
string
snapshot_uuid
string<uuid>
source_server_id
string<uuid>
target_server_id
string<uuid>